This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 435231 - Review Request: xlog - Logging program for Ham Radio Operators
Review Request: xlog - Logging program for Ham Radio Operators
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lucian Langa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-27 22:46 EST by Robert 'Bob' Jensen
Modified: 2008-08-12 14:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-03 12:15:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vanmeeuwen+fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robert 'Bob' Jensen 2008-02-27 22:46:23 EST
Spec URL: http://bjensen.fedorapeople.org/pkgs/hams/SPECS/xlog.spec
SRPM URL: http://bjensen.fedorapeople.org/pkgs/hams/SRPMS/xlog-1.7-1.fc8.src.rpm
Description: xlog is a logging program for amateur radio operators. The log is stored into a text file. QSO's are presented in a list. Items in the list can be added, deleted or updated. For each contact, dxcc information is displayed and bearings and distance is calculated, both short and long path. xlog supports trlog, adif, cabrillo, edit, twlog and editest files.

This srpm mock builds against Fedora 8 and devel. All resulting rpms are rpmlint clean. Fedora 7 is not a target for this package.
Comment 1 Jeroen van Meeuwen 2008-02-28 18:52:44 EST
RPM Lint: OK
Package name: OK
Spec file: OK
License: OK
Actual License: OK
%doc License: OK
Spec file language: OK
Spec file readable: OK
Upstream source vs. used tarball: OK (md5sum)
Compile and Build:
 - F-7: FAILED (but not a target)
 - F-8: OK
 - rawhide: OK
 - EL-5: FAILED (but not a target)

Applicable Package Guidelines:
 - -debuginfo package: OK (~444k)
Locales: OK
Shared libs: N/A
Relocatable: N/A
Directory and file ownership: OK
No duplicate files in %files: See suggestions
File Permissions: OK
Macro usage: See suggestions
Code vs. Content: OK
(Large) Documentation: OK
%doc affecting runtime: OK
Header files in -devel package: N/A
Static Libraries in -static package: N/A
pkgconfig Requires: OK
Library files: N/A
Devel requires base package: N/A
.la libtool archives: N/A
Duplicate ownership of files/directories: OK
Remove BuildRoot: OK
UTF-8 filenames: OK

in %prep, invoke sed using the %{_sed} macro. Consider using '-i -e' for inline
regexp replacement (instead of moving the file around). Better yet, create and
apply a patch here.

AUTHORS file is in both %doc and %{_datadir}/xlog/, same goes for BUGS and
ChangeLog. I guess the files in %{_datadir}/xlog should go into %docs as well.
Comment 2 Lucian Langa 2008-07-17 11:02:36 EDT
Hello,

Bob is having some problems so I will take over this.

> in %prep, invoke sed using the %{_sed} macro. Consider using '-i -e' for inline
> regexp replacement (instead of moving the file around). Better yet, create and
> apply a patch here.
modified to use sed inline

> AUTHORS file is in both %doc and %{_datadir}/xlog/, same goes for BUGS and
> ChangeLog. I guess the files in %{_datadir}/xlog should go into %docs as well.
I've moved all files to %doc and dropped package doc install procedure.

.. and bumped file version
new files:
http://lucilanga.fedorapeople.org/xlog.spec
http://lucilanga.fedorapeople.org/xlog-1.7-2.fc9.src.rpm
Comment 3 Jeroen van Meeuwen 2008-08-02 05:35:52 EDT
Very well, package approved
Comment 4 Lucian Langa 2008-08-02 05:47:30 EDT
New Package CVS Request
=======================
Package Name: xlog
Short Description: Logging program for Hamradio Operators
Owners: lucilanga,bjensen
Branches: F-8 F-9
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-08-03 00:05:30 EDT
cvs done.
Comment 6 Fedora Update System 2008-08-03 12:14:08 EDT
xlog-1.7-2.fc9 has been submitted as an update for Fedora 9
Comment 7 Fedora Update System 2008-08-03 12:14:32 EDT
xlog-1.7-2.fc8 has been submitted as an update for Fedora 8
Comment 8 Fedora Update System 2008-08-12 14:22:11 EDT
xlog-1.7-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-08-12 14:27:22 EDT
xlog-1.7-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.